Subject: Re: [PATCH] Don't create nested target directories automatically

From: Andrew Chambers <[email-masked]>
Date: Fri, 15 Apr 2022 19:31:53 +1200

> You're right. They don't. Still one problem remains.
>
> Goredo also puts $3 in the target directory. So, this also means it is now a hard error to write to stdout (it points to $3) without first creating the directory. How does apenwarr handle this?
>
I do not think you can even attempt to build a target that does not 
already have a directory, it just reports an error.

I suppose this is a problem if for example you do not wish your .o files 
to exist beside your .c files. You might need to put mkdir -p calls into 
a top level 'all' rule (which I admit you might not have). That being 
said, I don't think redo ever supported this sort of 'out of tree' build 
very well to begin with.